Bug 13125 - new (possibly wrong) $TZ/date interaction
new (possibly wrong) $TZ/date interaction
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2000-06-27 13:02 EDT by giulioo
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-09 11:26:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
test case (231 bytes, text/plain)
2000-08-02 07:45 EDT, Tim Waugh
no flags Details

  None (edit)
Description giulioo 2000-06-27 13:02:59 EDT
I know $TZ is not needed on a linux system, but at the end of this email I 
explain why I need to use it.
I was not sure where to file this bug under: sh-utils (date) or glibc.

The weird output of the "date" command when $TZ is set in a certain way.

1) with an old caldera1.3/libc5 (all is ok)
$ export TZ=CET-1CEST
$ date
Tue Jun 20 14:01:29 CEST 2000

2) With redhat 6.1 (note the ` after CEST)
$ date
Tue Jun 20 14:08:13 CEST 2000
$ export TZ=CET-1CEST
$ date
Tue Jun 20 14:08:18 CEST` 2000
3) With beta1/2 (the timezone is gone)
$ date
mar giu 27 20:57:40 CEST 2000
$ export TZ=CET-1CEST
$ date
mar giu 27 20:57:46  2000

Is this new behavior the "normal behavior"? That is, is "TZ=CET-1CEST" 
something wrong for the new "date"/glibc included in beta1/2?

We have a "legacy" unix application that runs on linux through iBCS (I now 
iBCS is deprecated...). This app wants us to set "TZ=CET-1CEST" to handle 
the time properly. We set TZ in the script that launches the app, so that 
usually TZ is unset. The app can give you a sub-shell. This sub-shell has 
obviously TZ set and shows the above problem.
This app requires TZ=CET-1CEST, TZ=CET is not enough.
Comment 1 Tim Waugh 2000-08-02 07:04:09 EDT
Even more bizarre:

$ ( export TZ=CET-1CEST; date | cat -vet )
Wed Aug  2 13:07:30 ^A 2000$

It looks like the timezone is \001.
Comment 2 Tim Waugh 2000-08-02 07:43:44 EDT
Seems like it's a glibc bug.  Test case attached.
Comment 3 Tim Waugh 2000-08-02 07:45:01 EDT
Created attachment 1794 [details]
test case
Comment 4 Jakub Jelinek 2000-08-09 11:26:36 EDT
Am testing a fix right now
Comment 5 Jakub Jelinek 2000-08-25 03:54:24 EDT
Fixed in glibc-2.1.92-7

Note You need to log in before you can comment on or make changes to this bug.